import { Heading } from 'docz-utils/lib/mdast';
import { Config } from '../config/argv';
export interface EntryObj {
    id: string;
    filepath: string;
    fullpath: string;
    link: string | null;
    slug: string;
    name: string;
    route: string;
    menu: string | null;
    headings: Heading[];
    [key: string]: any;
}
export declare class Entry {
    link: string | null;
    readonly filepath: string;
    readonly fullpath: string;
    readonly headings: Heading[];
    readonly id: string;
    readonly menu: string | null;
    readonly name: string;
    readonly route: string;
    readonly settings: {
        [key: string]: any;
    };
    readonly slug: string;
    constructor(ast: any, file: string, config: Config);
    setLink(url: string): void;
    private getFilepath;
    private getName;
    private slugify;
    private getRoute;
}
